Skip to main content
POST
/
contract
/
v1
/
employee-leave-types
Create a new employee leave type
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/employee-leave-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Early retirement"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Dismissal",
    "editable": true,
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Leave type name

Example:

"Early retirement"

reason
enum<string>
required

Leave reason category

Available options:
entities.employeeLeaveType.reason.voluntary,
entities.employeeLeaveType.reason.involuntary

Response

Successful response

data
object
meta
object